;;
;; Priklad na chovani seznamu a funkci CAR, CDR a CONS
;;
;;
;; CAR (Content of Address Register) - prvni prvek seznamu
;; CDR (Content of Decrement Register) - zbytek seznamu (bez prvniho prvku)
;; CONS (Construction) - vytvori seznam spojenim CAR a CDR (tj. prvek pripoji ke zbytku seznamu)
;;
;;
;; (car (1 2)) -> ERROR
;; (cons nil ('a)) -> ERROR


(write-char #\Newline)

(write (car '(1 2)))
(write-char #\Newline)

(write (cdr '(a b c d)))
(write-char #\Newline)

(write (cdr '(a)))
(write-char #\Newline)

(write (cons 'a '(b c)))
(write-char #\Newline)

(write (cons 'a nil))
(write-char #\Newline)

(write (cons 'a 'b))
(write-char #\Newline)

(write (cons nil 'a))
(write-char #\Newline)